package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;
import java.util.List;

public class SolrRecordHeader implements Serializable {

    /**
     * The OpenAIRE identifiers for this record
     */
    private String id;

    /**
     * Identifiers of the record at the original sources
     */
    private List<String> originalId;

    public static SolrRecordHeader newInstance(String id, List<String> originalId) {
        SolrRecordHeader header = new SolrRecordHeader();
        header.setId(id);
        header.setOriginalId(originalId);
        return header;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getOriginalId() {
        return originalId;
    }

    public void setOriginalId(List<String> originalId) {
        this.originalId = originalId;
    }
}
